Skip to main content

## write_multi

The write_multi command produces multi-line master/detail records from CSV input.

For example, given this CSV input:

bob,dylan,bringing it all back home

bob,dylan,blonde on blonde

bob,dylan,john wesley harding

nick,drake,bryter later

nick,drake,pink moon

the write_multi command:

csvfix write_multi -m 1,2 -rs '-----' -smq

would produce:

bob,dylan

bringing it all back home

blonde on blonde

john wesley harding

-----

nick,drake

bryter later

pink moon

-----

See also: read_multi

Flag | Req'd? | Description
-m fields | Yes | Specifies a comma-separated list of fields that form the master record.
-d fields | No | Specifies a comma-separated list of fields that form the detail record. If not specified, then all the fields not specified by the -m option are assumed.
-rs sep | No | Specifies separator to be output at the end of the detail records.

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy

####